## ring-mock-clojure 0.3.1

=== debian/changelog ===
ring-mock-clojure (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #855750)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 07:53:48 -0400
