=== debian/control ===
Source: ring-mock-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 10),
 javahelper (>= 0.32),
 maven-repo-helper (>= 1.7),
 clojure (>= 1.8),
 libring-codec-clojure (>= 1.0.0),
 libtext-markdown-perl | markdown,
 default-jdk-headless
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/ring-mock-clojure.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/ring-mock-clojure.git
Homepage: https://github.com/ring-clojure/ring-mock

Package: libring-mock-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: library for creating mock Ring request maps
 Ring-mock is a library for creating mock Ring request maps. It is primarily
 used for testing applications using Ring.
