## ring-mock-clojure 0.3.2

=== debian/changelog ===
ring-mock-clojure (0.3.2-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2020 13:31:59 +0100

ring-mock-clojure (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: added code to manage upstream tags.
  * New upstream release.
  * Ran wrap-and-sort -bastk.
  * Use debhelper-compat.
  * Removed versions in build-depends when satisfied in Stable.
  * Move the package to the Clojure team:
    - Change Maintainer field.
    - Change VCS URLs.
  * Standards-Version: 4.5.0.
  * Add libcheshire-clojure as build-depends and fix CLASSPATH.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2020 13:21:43 +0100
