=== debian/control ===
Source: ring-mock-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
Build-Depends:
 clojure,
 debhelper-compat (= 10),
 default-jdk-headless,
 javahelper,
 libcheshire-clojure,
 libring-codec-clojure,
 libtext-markdown-perl | markdown,
 maven-repo-helper,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/clojure-team/ring-mock-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/ring-mock-clojure
Homepage: https://github.com/ring-clojure/ring-mock

Package: libring-mock-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Description: library for creating mock Ring request maps
 Ring-mock is a library for creating mock Ring request maps. It is primarily
 used for testing applications using Ring.
