=== debian/watch ===
version=4
https://github.com/ring-clojure/ring-mock/releases	.*/archive/([\d.]+)\.tar\.gz
