## ring-mock-clojure 0.4.0

=== debian/changelog ===
ring-mock-clojure (0.4.0-2) unstable; urgency=medium

  * d/patches: drop jackson and snakeyaml version overrides
  * d/control: remove redundant clojure build-dep
  * d/control: add myself to Uploaders
  * add --has-package-version to maven pom
  * only ship README in docs

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 05 Feb 2023 20:24:08 -0500

ring-mock-clojure (0.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

  [ Jérôme Charaoui ]
  * New upstream version 0.4.0
  * switch to leiningen buildsystem
  * d/control: bump Standards-Version, no changes needed
  * d/control: add Rules-Requires-Root: no
  * d/copyright: update and fix license identifier
  * d/watch: switch to git mode
  * d/usptream: add Repository-* links
  * add d/gbp.conf with team defaults
  * add autopkgtests

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 22 Jan 2023 10:09:06 -0500
