=== debian/control ===
Source: ring-mock-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 leiningen,
 libcheshire-clojure (>= 5.11.0-2),
 libring-codec-clojure,
 maven-repo-helper,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/clojure-team/ring-mock-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/ring-mock-clojure
Homepage: https://github.com/ring-clojure/ring-mock
Rules-Requires-Root: no

Package: libring-mock-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Description: library for creating mock Ring request maps
 Ring-mock is a library for creating mock Ring request maps. It is primarily
 used for testing applications using Ring.
