=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/ring-clojure/ring-mock.git \
refs/tags/@ANY_VERSION@
